#ifndef XFXELEMVISSTATESAMPLE_H
#define XFXELEMVISSTATESAMPLE_H

#include "xasset.h"
#include "xeffectdef.h"

class XFxElemVisStateSample : public XAsset
{
public:
    explicit XFxElemVisStateSample();
    ~XFxElemVisStateSample();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    XFxElemVisualState mBase;
    XFxElemVisualState mAmplitude;
};

#endif // XFXELEMVISSTATESAMPLE_H
